import { ApiResponse } from '@elastic/elasticsearch';
import { HitsMetadata } from '@elastic/elasticsearch/api/types';
import { ClassConstructor, Document } from '../types';
export type ElasticsearchResult<TDocument extends Document> = {
    hits: HitsMetadata<TDocument>;
    aggregations?: Record<string, any>;
};
export type SearchResponse<TDocument extends Document> = {
    documents: Array<TDocument>;
    aggregations?: Record<string, any>;
};
export declare const getSearchResponse: <TDocument extends Document>(document: ClassConstructor<TDocument>, { body }: ApiResponse<ElasticsearchResult<TDocument>, unknown>) => SearchResponse<TDocument>;
