import { Document, Keyword, KeywordType } from '../types';
export type RangeQueryOptions<TDocument extends Document, TKeyword extends Keyword<TDocument> = Keyword<TDocument>> = {
    format?: string;
    gt?: KeywordType<TDocument, TKeyword>;
    gte?: KeywordType<TDocument, TKeyword>;
    lt?: KeywordType<TDocument, TKeyword>;
    lte?: KeywordType<TDocument, TKeyword>;
};
export type RangeQueryBody<TDocument extends Document, TKeyword extends Keyword<TDocument> = Keyword<TDocument>> = {
    [x in TKeyword]?: RangeQueryOptions<TDocument, TKeyword>;
};
export type RangeQuery<TDocument extends Document, TKeyword extends Keyword<TDocument> = Keyword<TDocument>> = {
    range: RangeQueryBody<TDocument, TKeyword>;
};
export declare const getRangeQuery: <TDocument extends Document, TKeyword extends Keyword<TDocument> = Keyword<TDocument>>(field: TKeyword, options: RangeQueryOptions<TDocument, TKeyword>) => RangeQuery<TDocument, TKeyword>;
