import { Document, Keyword, KeywordType } from '../types';
export type TermQueryBody<TDocument extends Document, TKeyword extends Keyword<TDocument> = Keyword<TDocument>> = {
    [x in TKeyword]?: {
        value: KeywordType<TDocument, TKeyword>;
    };
};
export type TermQuery<TDocument extends Document, TKeyword extends Keyword<TDocument> = Keyword<TDocument>> = {
    term: TermQueryBody<TDocument, TKeyword>;
};
export declare const getTermQuery: <TDocument extends Document, TKeyword extends Keyword<TDocument> = Keyword<TDocument>>(field: TKeyword, value?: KeywordType<TDocument, TKeyword> | undefined) => TermQuery<TDocument, TKeyword>;
