import { Document, Keyword, KeywordType } from '../types';
type TermsQueryBody<TDocument extends Document, TKeyword extends Keyword<TDocument> = Keyword<TDocument>> = {
    [x in TKeyword]?: Array<KeywordType<TDocument, TKeyword>>;
};
export type TermsQuery<TDocument extends Document, TKeyword extends Keyword<TDocument> = Keyword<TDocument>> = {
    terms: TermsQueryBody<TDocument, TKeyword>;
};
export declare const getTermsQuery: <TDocument extends Document, TKeyword extends Keyword<TDocument> = Keyword<TDocument>>(field: TKeyword, values?: KeywordType<TDocument, TKeyword>[] | undefined) => TermsQuery<TDocument, TKeyword>;
export {};
