import { ElasticsearchService as ElasticsearchBaseService } from '@nestjs/elasticsearch';
import { ClassConstructor, Document } from '../lib/types';
import { SearchRequest } from '../lib/elasticsearch';
import { Index } from './injectables';
export declare class ElasticsearchService {
    private readonly elasticsearchBaseService;
    constructor(elasticsearchBaseService: ElasticsearchBaseService);
    search<TDocument extends Document>(document: ClassConstructor<TDocument>, options?: SearchRequest<TDocument>): Promise<import("../lib/elasticsearch").SearchResponse<TDocument>>;
    getIndex<TDocument extends Document>(document: ClassConstructor<TDocument>): Index<TDocument>;
}
